An interface which is similar to an Angular 2 `Provider`

### Hierarchy

- ProviderLike

## Index

### Properties

- deps
- provide
- useClass
- useExisting
- useFactory
- useValue

## Properties

deps: any[]

- Defined in resolve/interface.ts:22

provide: any

- Defined in resolve/interface.ts:17

useClass: any

- Defined in resolve/interface.ts:18

useExisting: any

- Defined in resolve/interface.ts:21

useFactory: Function

- Defined in resolve/interface.ts:19

useValue: any

- Defined in resolve/interface.ts:20

Generated using TypeDoc